%define major	6
%define rev	2379
%define tarballname libgig
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
# Set release here!
%define rel	2

%if %{rev}
# Change spec to use next line when version changes
#%%define release	%%mkrel -c %%{rev} %%{rel}
%define release	%mkrel 2.%{rev}.%{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		gig
Version:	3.3.0
Release:	%{release}
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
License:	GPLv2
Group:		Sound/Utilities

# Make tarball in SOURCES from svn with:-
# $ ./mk_svn_tar libgig https://svn.linuxsampler.org/svn/libgig/trunk tar.bz2 -m
Source0:	%{tarballname}-%{rev}.tar.bz2
Source1:	mk_svn_tar
URL:		http://www.linuxsampler.org/libgig/

BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	doxygen
Requires:	%{libname} = %{version}-%{release}

%description
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package -n %{libname}
Summary:	C++ library for loading Gigasampler files and DLS Level 1/2 files
Group:		System/Libraries 
Requires:	%{name} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
C++ library for loading Gigasampler files and DLS Level 1/2 files.

%package -n %{devname}
Summary:	Header files for developers
Group:		System/Libraries 
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{tarballname}-devel = %{version}-%{release}

%description -n %{devname}
Header files for developers.

%prep
%setup -q -n lib%{name}

%build
%configure2_5x
%make
make docs

%install
%makeinstall

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO doc/html
%{_mandir}/man1/*
%{_bindir}/*

%files  -n %{libname}
%{_libdir}/libgig.so*

%files  -n %{devname}
%{_libdir}/libgig.a
%exclude %{_libdir}/libgig.la
%{_libdir}/pkgconfig/gig.pc
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.3.0-2.2379.2.mga3
+ Revision: 351551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 3.3.0-2.2379.1.mga3
+ Revision: 347896
- correct release format as interim until version update

* Wed Jan 09 2013 boklm <boklm> 3.3.0-2.2379.mga3
+ Revision: 343990
- Add rel macro so that youri updater can bump release.

* Wed Nov 14 2012 barjac <barjac> 3.3.0-1.2379.mga3
+ Revision: 317595
- add BR pkgconfig(uuid)

* Mon Nov 12 2012 barjac <barjac> 3.3.0-0.2379.mga3
+ Revision: 317266
- fix libs group
- spec cleaned
- update to svn snapshot with bug fixes
- thanks to Philippe Didier for work on this
- imported package gig

